<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionNotificationSchedulerModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d3c/a06197.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionNotificationSchedulerModule Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionNotificationSchedulerModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d3c/a06197.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af468d2b0df3223ff4af3dee30e2ad091"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3c/a06197.html#af468d2b0df3223ff4af3dee30e2ad091">OnInit</a> ()</td></tr>
<tr class="separator:af468d2b0df3223ff4af3dee30e2ad091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f43a1f2433728b3141c2fb017b64ca"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3c/a06197.html#a62f43a1f2433728b3141c2fb017b64ca">IsClient</a> ()</td></tr>
<tr class="separator:a62f43a1f2433728b3141c2fb017b64ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aace4a6b27651147befda218c40572d6c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3c/a06197.html#aace4a6b27651147befda218c40572d6c">OnSettingsChanged</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:aace4a6b27651147befda218c40572d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6961617efd391280d37e87a0e1ddb7e3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3c/a06197.html#a6961617efd391280d37e87a0e1ddb7e3">OnUpdate</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:a6961617efd391280d37e87a0e1ddb7e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5928813e3fa209dd56aaeda2046a54ac"><td class="memItemLeft" align="right" valign="top">private const float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3c/a06197.html#a5928813e3fa209dd56aaeda2046a54ac">UPDATE_TICK_TIME</a> = 0.5</td></tr>
<tr class="separator:a5928813e3fa209dd56aaeda2046a54ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4c82410e2446fd3ef114a29c07adf47"><td class="memItemLeft" align="right" valign="top">private float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3c/a06197.html#af4c82410e2446fd3ef114a29c07adf47">m_UpdateTimer</a> = 0</td></tr>
<tr class="separator:af4c82410e2446fd3ef114a29c07adf47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349054ec7a3ddf2b80cab7c060885812"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3c/a06197.html#a349054ec7a3ddf2b80cab7c060885812">m_Enabled</a></td></tr>
<tr class="separator:a349054ec7a3ddf2b80cab7c060885812"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/deb/a02090.html">ExpansionNotificationSchedulerModule.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00014">14</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a62f43a1f2433728b3141c2fb017b64ca" name="a62f43a1f2433728b3141c2fb017b64ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62f43a1f2433728b3141c2fb017b64ca">&#9670;&#160;</a></span>IsClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionNotificationSchedulerModule::IsClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00028">28</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>

</div>
</div>
<a id="af468d2b0df3223ff4af3dee30e2ad091" name="af468d2b0df3223ff4af3dee30e2ad091"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af468d2b0df3223ff4af3dee30e2ad091">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionNotificationSchedulerModule::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00020">20</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>

</div>
</div>
<a id="aace4a6b27651147befda218c40572d6c" name="aace4a6b27651147befda218c40572d6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aace4a6b27651147befda218c40572d6c">&#9670;&#160;</a></span>OnSettingsChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionNotificationSchedulerModule::OnSettingsChanged </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00033">33</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>

</div>
</div>
<a id="a6961617efd391280d37e87a0e1ddb7e3" name="a6961617efd391280d37e87a0e1ddb7e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6961617efd391280d37e87a0e1ddb7e3">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionNotificationSchedulerModule::OnUpdate </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00040">40</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a349054ec7a3ddf2b80cab7c060885812" name="a349054ec7a3ddf2b80cab7c060885812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a349054ec7a3ddf2b80cab7c060885812">&#9670;&#160;</a></span>m_Enabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionNotificationSchedulerModule::m_Enabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00018">18</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>

</div>
</div>
<a id="af4c82410e2446fd3ef114a29c07adf47" name="af4c82410e2446fd3ef114a29c07adf47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4c82410e2446fd3ef114a29c07adf47">&#9670;&#160;</a></span>m_UpdateTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private float ExpansionNotificationSchedulerModule::m_UpdateTimer = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00017">17</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>

</div>
</div>
<a id="a5928813e3fa209dd56aaeda2046a54ac" name="a5928813e3fa209dd56aaeda2046a54ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5928813e3fa209dd56aaeda2046a54ac">&#9670;&#160;</a></span>UPDATE_TICK_TIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const float ExpansionNotificationSchedulerModule::UPDATE_TICK_TIME = 0.5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/deb/a02090_source.html#l00016">16</a> of file <a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/NotificationScheduler/Scripts/3_game/dayzexpansion_notificationscheduler/<a class="el" href="../../d7/deb/a02090_source.html">expansionnotificationschedulermodule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d3c/a06197.html">ExpansionNotificationSchedulerModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
